<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        function arsmtongnNum(num){
            var rem1=0
            var x=num
            var count=0;
            var sum=0;
            while(x!= 0){
                rem=x%10;
                count++;
                x = Math.floor(x/10);
            }
            x=num;
            while(x>0){
                rem=x%10;
                sum = sum + (rem ** count);
                x=Math.floor(x/10)
            }
            if(sum==num){
                return(" is a amstrong number")
            }
            else{
                return(" is not a amstrong number")
            }
        }
        var num=Number(prompt("enter a number"))
        document.write(num,arsmtongnNum(num))
    </script>
</body>
</html>